(* Time-stamp: <modified the 09/04/2015 (at 15:09) by Erwan Jahier> *)

(** Each soc has a list of soc instances, made of an (unique) ident
    and a Soc.key.  

    In order to be able to iterate of such instances (e.g., with a
    for loop), we want to store them into arrays. This module will
    help us to do so.
*)

(** from a list of soc instances l, this function returns :

    - a list made of all the soc.key in l + their occurences in l

    - a function that maps each instance ident to the corresponding
    ident in the array where it is stored
*)

val to_array : (Soc.ident * Soc.key) list -> (Soc.key * int) list * (Soc.ident * Soc.key -> int)
